libcomps ..

Loading...
Searching...
No Matches
Data Fields
COMPS_DocGroupPackage Struct Reference

`#include <comps_docpackage.h>`

## Data Fields
COMPS_PackageType | type
COMPS_Str * | name
COMPS_Str *COMPS_Num * | basearchonly

## Detailed Description

COMPS_Object derivate representing packagereq element in comps.xml structure

## Field Documentation

## ◆ basearchonly

COMPS_Str* COMPS_Num* COMPS_DocGroupPackage::basearchonly

packagereq requires attribute

## ◆ name

COMPS_Str* COMPS_DocGroupPackage::name

name of package

## ◆ type

COMPS_PackageType COMPS_DocGroupPackage::type

package type

The documentation for this struct was generated from the following file:

- /build/libcomps/src/libcomps-0.1.21/libcomps/src/comps_docpackage.h